> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unassign Insight Template From Group

> Remove an insight from a group



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/ai/analytics.yml delete /ai/conversations/insight-groups/{group_id}/insights/{insight_id}/unassign
openapi: 3.1.0
info:
  title: Telnyx AI Analytics API
  version: 2.0.0
  description: API for AI conversations, insights, embeddings, and clusters.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /ai/conversations/insight-groups/{group_id}/insights/{insight_id}/unassign:
    delete:
      tags:
        - Conversations
      summary: Unassign Insight Template From Group
      description: Remove an insight from a group
      operationId: unassign_insight_from_group
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the insight group
            title: Group Id
          description: The ID of the insight group
        - name: insight_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the insight
            title: Insight Id
          description: The ID of the insight
      responses:
        '200':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            await client.ai.conversations.insightGroups.insights.deleteUnassign(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              { group_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
            );
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.ai.conversations.insight_groups.insights.delete_unassign(
                insight_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                group_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.AI.Conversations.InsightGroups.Insights.DeleteUnassign(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.AIConversationInsightGroupInsightDeleteUnassignParams{\n\t\t\tGroupID: \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.ai.conversations.insightgroups.insights.InsightDeleteUnassignParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    InsightDeleteUnassignParams params = InsightDeleteUnassignParams.builder()
                        .groupId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .insightId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .build();
                    client.ai().conversations().insightGroups().insights().deleteUnassign(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            result =
            telnyx.ai.conversations.insight_groups.insights.delete_unassign(
              "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              group_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
            )


            puts(result)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $result = $client->ai->conversations->insightGroups->insights->deleteUnassign(
                '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
                groupID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              );

              var_dump($result);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx ai:conversations:insight-groups:insights delete-unassign \
              --api-key 'My API Key' \
              --group-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
              --insight-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  schemas:
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````